bufferevent_ssl(3)

NAME
bufferevent_ssl -

OpenSSL support for bufferevents.

SYNOPSIS

#include <event2/bufferevent_ssl.h>
#include <event2/event-config.h>
#include <event2/bufferevent.h>
#include <event2/util.h>

  Enumerations
enum bufferevent_ssl_state { BUFFEREVENT_SSL_OPEN = 0, BUFFEREVENT_SSL_CONNECTING = 1, BUFFEREVENT_SSL_ACCEPTING = 2 }
The state of an SSL object to be used when creating a new SSL bufferevent.

  Functions
unsigned long bufferevent_get_openssl_error (struct bufferevent *bev)
Return the most recent OpenSSL error reported on an SSL bufferevent.
struct bufferevent * bufferevent_openssl_filter_new (struct event_base *base, struct bufferevent *underlying, struct ssl_st *ssl, enum bufferevent_ssl_state state, int options)
Create a new SSL bufferevent to send its data over another bufferevent.
struct ssl_st * bufferevent_openssl_get_ssl (struct bufferevent *bufev)
Return the underlying openssl SSL * object for an SSL bufferevent.
struct bufferevent * bufferevent_openssl_socket_new (struct event_base *base, evutil_socket_t fd, struct ssl_st *ssl, enum bufferevent_ssl_state state, int options)
Create a new SSL bufferevent to send its data over an SSL * on a socket.
int bufferevent_ssl_renegotiate (struct bufferevent *bev)
Tells a bufferevent to begin SSL renegotiation.

Detailed Description

OpenSSL support for bufferevents.

Function Documentation

  unsigned long bufferevent_get_openssl_error (struct bufferevent *bev)

Return the most recent OpenSSL error reported on an SSL bufferevent.

  struct bufferevent* bufferevent_openssl_filter_new (struct event_base *base, struct bufferevent *underlying, struct ssl_st *ssl, enum bufferevent_ssl_statestate, intoptions) [read]

Create a new SSL bufferevent to send its data over another bufferevent. Parameters:
    base An event_base to use to detect reading and writing. It must also be the base for the underlying bufferevent.
    underlying A socket to use for this SSL
    ssl A SSL* object from openssl.
    state The current state of the SSL connection
    options One or more bufferevent_options

Returns:
    A new bufferevent on success, or NULL on failure

  struct ssl_st* bufferevent_openssl_get_ssl (struct bufferevent *bufev) [read]

Return the underlying openssl SSL * object for an SSL bufferevent.

  struct bufferevent* bufferevent_openssl_socket_new (struct event_base *base, evutil_socket_tfd, struct ssl_st *ssl, enum bufferevent_ssl_statestate, intoptions) [read]

Create a new SSL bufferevent to send its data over an SSL * on a socket. Parameters:
    base An event_base to use to detect reading and writing
    fd A socket to use for this SSL
    ssl A SSL* object from openssl.
    state The current state of the SSL connection
    options One or more bufferevent_options

Returns:
    A new bufferevent on success, or NULL on failure.

  int bufferevent_ssl_renegotiate (struct bufferevent *bev)

Tells a bufferevent to begin SSL renegotiation.

Author

Generated automatically by Doxygen for libevent from the source code.